## imcode.server.document
Class LifeCyclePhase

    java.lang.Object
      imcode.server.document.LifeCyclePhase

    public abstract class LifeCyclePhase

extends java.lang.Object

Field Summary
`static LifeCyclePhase[]` `ALL`
`static LifeCyclePhase` `APPROVED`
`static LifeCyclePhase` `ARCHIVED`
`static LifeCyclePhase` `DISAPPROVED`
`static LifeCyclePhase` `NEW`
`static LifeCyclePhase` `PUBLISHED`
`static LifeCyclePhase` `UNPUBLISHED`

Method Summary
`abstract org.apache.lucene.search.Query` `asQuery(java.util.Date time)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEW

    public static final LifeCyclePhase NEW

### DISAPPROVED

    public static final LifeCyclePhase DISAPPROVED

### UNPUBLISHED

    public static final LifeCyclePhase UNPUBLISHED

### APPROVED

    public static final LifeCyclePhase APPROVED

### ARCHIVED

    public static final LifeCyclePhase ARCHIVED

### PUBLISHED

    public static final LifeCyclePhase PUBLISHED

### ALL

    public static final LifeCyclePhase[] ALL

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### asQuery

    public abstract org.apache.lucene.search.Query asQuery(java.util.Date time)